1. Seasons
MarvelRivalsAPI.com
  • Introduction
  • Get Started
    • Authentication
    • Rate Limits
    • Errors
      • Status Codes
    • SDKs & Extentions
      • Community Libraries
  • Endpoints
    • Achievements
      • List achievements
      • Search achievement
    • Patch Notes
      • List balances
      • Search balance
      • List dev diaries
      • Search dev diary
      • List patch notes
      • Search patch note
      • List game versions
    • Battle Pass
      • Battlepass
    • Heroes
      • List Heroes
      • Search hero
      • Hero stats
      • Hero leaderboard
      • List costumes
      • Search hero costume
    • Items
      • List items
      • Search item
    • Maps
      • List maps
      • Search map
    • Player Match History
      • Search match
      • Player match history
      • Player match history v2
    • Player Stats
      • Search player
      • Player stats
      • Player stats v2
      • Update player
      • Player Leaderboard
    • Seasons
      • List seasons
        GET
      • Search season
        GET
  • Community
    • Discord Bots
  1. Seasons

Search season

Developing
GET
/api/v2/seasons/{season}
seasonsseason
Maintainer:Alastor
Retrieves a specific seasons information

Request

Path Params

Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠404Not Found
🔴500Internal Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://marvelrivalsapi.com/api/v2/seasons/?include_disabled=undefined'
Response Response Example
200 - Example 1
{
    "season": {
        "season": "string",
        "name": "string",
        "slug": "string",
        "starts_at": "string",
        "ends_at": "string"
    }
}
Modified at 2026-05-20 08:31:55
Previous
List seasons
Built with